×

INDI Library v2.0.7 is Released (01 Apr 2024)

Bi-monthly release with minor bug fixes and improvements

Astroberry Server 2.0.1 is available now!

  • Posts: 1067
  • Thank you received: 140

There were differences and AB was much better, because it is based on Raspbian, and much more stable...but now with the latest SM 1.5.0 which is also raspbian based with its own repositories there is no noticeable difference....
I have been a SM user for a few years, and with the rpi4 i moved to Astroberry because of the issues you mention, along with 4k not working on SM, and was very happy, and it’s by far the best free alternative, but SM is my preferred and am back to that now, with the latest release...
:)
The following user(s) said Thank You: Doug S
4 years 1 month ago #49507

Please Log in or Create an account to join the conversation.

  • Posts: 398
  • Thank you received: 117
Thanks for the clarification. I didn't realize that SM OS 1.5 (beta) is raspbian. It's really hard to wait any longer for beta to become stable knowing that a working alternative exists with not many differences. This might end up being like the Seinfeld restaurant episode where I give up waiting and switch to Astroberry, then SM 1.5 releases immediately following. However, my HW is effectively shut down and it's been this way since I purchased the Pi4-4GB. Can't get SSD going, neither USB 3.0 hub with ASI large format cam (just isn't very efficient in USB2 mode).

Need to break through somehow, so maybe knowledge of AB would be a good thing regardless.... At least it's good to know there's a viable alternative. Thanks for the feedback.
4 years 1 month ago #49511

Please Log in or Create an account to join the conversation.

  • Posts: 1067
  • Thank you received: 140

It’s not beta, 1.5.0 is stable version now...the beta versions were all Ubuntu, this is full stable version just like AB..
And is easy to run from an SSD..
The following user(s) said Thank You: Doug S
Last edit: 4 years 1 month ago by AstroNerd.
4 years 1 month ago #49513

Please Log in or Create an account to join the conversation.

  • Posts: 398
  • Thank you received: 117
Just released today (great!).
4 years 1 month ago #49516

Please Log in or Create an account to join the conversation.

  • Posts: 238
  • Thank you received: 15
No update yet for latest kstars and PHD2 for astroberry?
4 years 1 month ago #49522

Please Log in or Create an account to join the conversation.

  • Posts: 238
  • Thank you received: 15
INDI Driver Crashed when trying to connect to QHY camera. Is someone experienced this recently?
4 years 1 month ago #49573

Please Log in or Create an account to join the conversation.

  • Posts: 97
  • Thank you received: 20
Yes, I have the same issue when trying to connect my QHY5L-II Mono to Astroberry. I think this happens because the QHY sdk is meant to run on ubuntu and not raspbian. See what was said on a similar issue on the QHY Polemaster:
indilib.org/forum/astroberry/6052-astrob.../46746.html?start=96

I don't know if anything has changed since then, it would be interesting to see if Stellarmate 1.5.0 has the same issue now that it is also based on Raspbian.
Last edit: 4 years 1 month ago by giorgio.
4 years 1 month ago #49576

Please Log in or Create an account to join the conversation.

  • Posts: 145
  • Thank you received: 15
Hi,

I regularly update/upgrade Astroberry 2.0.1 via apt-get, but my PHD2 version is still 2.6.6dev4. When I start PHD2, it reports a new version: 2.6.7

How can I get this version?

Thanks,
Bernd
4 years 1 month ago #49579

Please Log in or Create an account to join the conversation.

  • Posts: 348
  • Thank you received: 69

A quick use of apt-file seems to reveal that phd2 is not installed via apt-get, so you may need to manually install the update if you really need it.
4 years 1 month ago #49580

Please Log in or Create an account to join the conversation.

  • Posts: 145
  • Thank you received: 15
Means building it from Git sources?
4 years 1 month ago #49582

Please Log in or Create an account to join the conversation.

  • Posts: 348
  • Thank you received: 69

Just looking at this now, but I think, yes, via the instructions here:

github.com/OpenPHDGuiding/phd2/wiki/BuildingPHD2OnLinux

The pre-requisties (cmake / build environment stuff) are not in the standard Astroberry image, so you'll need to install that too.

Only thing to watch for, is that the source might not install it to /usr/bin, and might use /usr/local/bin, or other folder, but otherwise you can probably install it.

It may have been left out as it bundles with SDKs which are not strictly free/gpl etc...
4 years 1 month ago #49583

Please Log in or Create an account to join the conversation.

  • Posts: 348
  • Thank you received: 69
Also might want to note, I'm unsure whether this is an Astroberry quirk or, as phd2 runs anyway, but under Astroberry /usr/bin/phd2 is actually a script which edits the environment library path then runs phd2.bin with the original parameters. So be sure to check after build before actually doing "sudo make install", to avoid clobbering the /usr/bin/phd2 script.
4 years 1 month ago #49585

Please Log in or Create an account to join the conversation.

Moderators: Radek Kaczorek
Time to create page: 1.013 seconds